;;; cl-scopes/test/config-sqlite.lisp
;;; use: `(load "test/...")` from package scopes/test-storage

(in-package :scopes/test-storage)

(defparameter db-config-sqlite
  `(:backend :dbi
    :db-type :sqlite3
    :connect-args
	 (:database-name 
       ,(namestring (scopes/testing:test-path "test.db" "data")))
    :options nil))

(config:root)

(config:add :storage :class 'storage:config :setup #'storage:setup
            :db-config db-config-sqlite)
