;;; cl-scopes/test/config-postgres.lisp
;;; use: `(load "test/...")` from package scopes/test-storage

(in-package :scopes/test-storage)

(defparameter db-config-postgres
  '(:backend :dbi
    :db-type :postgres
    :connect-args
     (:database-name "cltest"
	  :host "localhost"
	  :port 5432
	  :username "testuser"
	  :password "secret")
    :options
	 (:schema "testing")))

(config:root)

(config:add :storage :class 'storage:config :setup #'storage:setup
            :db-config db-config-postgres)
